Packages - Bug #2493

[makepkg] does not create package
2019-09-27 08:41 PM - pisechka

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category:

Description

> Installing package yay with pacman -U...

[sudo] password for user:

loading packages...

error: ''home/user/yay-9.3.1-1-x86_64.pkg.tar.xz": could not find or read package
> WARNING: Failed to install built package(s).

==> Cleaning up...

History

#1 - 2019-09-27 10:27 PM - bill-auger

you would need to explain the situation more - it is not clear what you are trying to do - it is most helpful to include the exact commands that you
typed, leading up to the error message

what is the output of these commands:

$ 1s -1 /home/user/PKGBUILD
$ 1s -1 /home/user/yay*

#2 - 2019-09-28 09:15 AM - pisechka

This happens with every package.

ls —-la yay

total 360

drwxr-xr-x 1 user user 92 Sep 27 23:40

drwxr-xr—-x 1 user user 6 Sep 27 23:22 ..

-rw-r—-—-r—— 1 user user 490 Sep 27 23:22 .SRCINFO
drwxr-xr-x 1 user user 138 Sep 27 23:22 .git

-rw-r—--r—— 1 user user 35 Sep 27 23:22 .gitignore
-rw-r—-—-r—— 1 user user 694 Sep 27 23:22 PKGBUILD
—-rw-r——-r—-— 1 user user 353866 Sep 27 23:23 yay-9.3.l.tar.gz

#3 - 2019-09-28 10:27 AM - freemor

looks like you've got a source package there (.tar.gz) and a PKGBUILD but no installable package (.pkg.tar.xz)
So most likely something went wrong with your makepkg command.

We'd need to see the output of

makepkg -Ccrs

to know what is going on. There errors are usually fairly obvious in the output tho.

#4 - 2019-09-28 10:40 AM - pisechka

makepkg —-Ccrs
==> Making package: yay 9.3.1-1 (2019-09)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
-> Found yay-9.3.l.tar.gz
==> Validating source files with shalsums...
yay-9.3.1.tar.gz ... Passed
==> Removing existing $srcdir/ directory...
==> Extracting sources...
-> Extracting yay-9.3.1l.tar.gz with bsdtar
==> Starting build()...
go build -v -gcflags=all=-trimpath=/home/user/yay/src/yay-9.3.1 —asmflags=all=-trimpath=/home/user/yay/src/yay
-9.3.1 -1dflags=-extldflags=-zrelro -ldflags=-extldflags=-znow -ldflags '-s -w -X main.version=9.3.1"'

mod=vendor

==> Entering fakeroot environment...

==> Finished making: yay 9.3.1-1 (2019-09)
==> Cleaning up..

1ls -la

total 360

drwxr-xr-x 1 user user 92 Sep 27 23:40

drwxr-xr—-x 1 user user 6 Sep 27 23:22 ..

-rw-r—-r—— 1 user user 490 Sep 27 23:22 .SRCINFO
drwxr-xr-x 1 user user 138 Sep 27 23:22 .git

—-rw—-r——r—— 1 user user 35 Sep 27 23:22 .gitignore
-rw-r—-r—— 1 user user 694 Sep 27 23:22 PKGBUILD
—-rw-r——-r—-— 1 user user 353866 Sep 27 23:23 yay-9.3.l.tar.gz

#5 - 2019-09-28 11:12 AM - freemor

Interesting, No Obviuos error but no .pkg.tar.xz
Could be you've got a wonky PKGBUILD script there

Pulled a yay package from AUR (assuming that this is where you got it and it builds fine here.

There is a lot more output for me after the "go blah blah" line to start the compile
Looks like your system is failing to compile it for some reason

What Architecture are you running?

#6 - 2019-09-28 11:18 AM - pisechka

x86_64
And this happens with everyone package.
| don't know what me do.

#7 - 2019-09-28 11:46 AM - freemor

Do you have base-devel installed?

#8 - 2019-09-28 02:56 PM - pisechka

sure

#9 - 2019-09-28 07:06 PM - freemor

I'd suggest walking through the build steps manually (a.k.a without makepkg) and see where and why the build fails.

#10 - 2019-09-28 07:15 PM - freemor

Also check that your /etc/makepkg.conf is sane.
You could also try installing libretools

and then running

sudo librechroot make

cd yay (or whatever folder the YAY makepkg is in )

then

sudo libremakepkg

That will build it in a clean-ish chroot possibly side stepping whatever is causing the

issue on your system

| say cleanish because libremakepkg does pick up a few things from your build environment to set up the chroot.

But it is definitely worth a try

#11 - 2019-09-28 07:38 PM - pisechka

sudo libremakepkg
==> Initializing the chroot...
> Starting pre-build activities...
==> Downloading blacklist of proprietary software packages
—-> Inspecting package pkgname=yay (9.3.1-1)
> Downloading sources...
==> Making package: yay 9.3.1-1 (2019-09)
==> Retrieving sources...
-> Found yay-9.3.1l.tar.gz
==> Validating source files with shalsums...
yay-9.3.1.tar.gz ... Passed
==> Entering fakeroot environment...
==> Source package created: yay (2019-09)
> ERROR: Something went funny with makepkg --allsource

#12 - 2019-09-28 08:02 PM - bill-auger
'vay' from AUR built for me also - both with makepkg and libremakepkg

one other thing you can try is to see what exit status makepkg returns - the man page lists many meaningful error codes
$ makepkg -Ccrs ; echo "status=$?"

#13 - 2019-09-28 09:15 PM - pisechka

Maybe system have no some module?

#14 - 2019-09-28 09:24 PM - pisechka
/etc/makepkg.conf is default
==> Entering fakeroot environment...

==> Finished making: yay 9.3.1-1 (2019-09)
==> Cleaning up...

status=0

1ls -la

total 360K

drwxr-xr-x 1 user user 92 Sep 29 00:22

drwx—————-— 1 user user 50 Sep 29 00:21 ..

—-rw-r—--r—— 1 user user 490 Sep 29 00:21 .SRCINFO
drwxr-xr-x 1 user user 138 Sep 29 00:21 .git

-rw-r—--r—— 1 user user 35 Sep 29 00:21 .gitignore
—-rw-r—-r—— 1 user user 694 Sep 29 00:21 PKGBUILD
—-rw-r——-r—-— 1 user user 346K Sep 29 00:22 yay-9.3.1l.tar.gz

#15 - 2019-09-28 09:42 PM - bill-auger

well, the 0 exit status indicates normal success

i suppose your makepkg.conf could be messed up - maybe try replacing it with a clean one - especially if there is a new one

$ Is /etc/makepkg.conf.pacnew

if PKGDEST is set /etc/makepkg.conf, that is the dir where the built package will be, rather than the same dir as the PKGBUILD
also if you set LOGDEST in /etc/makepkg.conf, then run makepkg with -L, there may be something interesting in the logs

#16 - 2019-09-28 09:42 PM - bill-auger

FWIW - this is the code that throws the " funny allsource" error
https://git.parabola.nu/packages/libretools.qgit/tree/src/chroot-tools/libremakepkg#n314

#17 - 2019-09-28 10:01 PM - pisechka

I'm move old config in /etc/makepkg.conf.bak and reinstall pacman anyway all bad. Diff dont see difference in files.

#18 - 2019-09-28 11:22 PM - pisechka

solved

#19 - 2019-09-28 11:29 PM - pisechka

Some packages updated 14 semptember has much word "None" in pacman -Qi packagename
| had to manually remove files by packages. And reinstall.

#20 - 2019-09-28 11:35 PM - bill-auger

pisechka -

i do not understand your solution - could you please explain that?
https://git.parabola.nu/packages/libretools.git/tree/src/chroot-tools/libremakepkg#n314

#21 - 2019-09-28 11:49 PM - pisechka

Packages with:

Vendor: None

Version: None

Packager: None

etc: None

Whenever i trying upgrade packages pacman say "...File does exist..." and i remove all this files, further reinstall packages tzdata, fakeroot, catfish,
Isof and adwaita-icon-theme

| don't understand how it happend with this packages. I'm scared about my safety.

#22 - 2019-09-29 01:14 AM - bill-auger
how or where do you see "Vendor: None" and "etc: None"?
if you are using some package manager tool that is not a parabola package, that could be the source of the trouble

this pacman command will show the real package information - for the 'tzdata' package for example, you will see that the "Version" and "Packager"
are as expected:

$ pacman -Si tzdata

Repository : core

Name : tzdata

Version : 2019c-2

Description : Sources for time zone and daylight saving time data
Architecture : x86_64

URL : https://www.iana.org/time-zones
Licenses : custom: public domain

Groups : None

Provides : None

Depends On : None

Optional Deps : None

Conflicts With : None

Replaces : None

Download Size : 340,95 KiB

Installed Size : 2915,00 KiB

Packager : Jelle van der Waa <jelle@archlinux.org>
Build Date : dim 22 Sep 2019 13:04:55 -0400
Validated By : MD5 Sum SHA-256 Sum Signature

#23 - 2019-09-29 01:20 AM - eschwartz

> Entering fakeroot environment...
> Finished making: yay 9.3.1-1 (2019-09)

This doesn't make sense, because makepkg appears to have gone straight from preparing to enter the fakeroot stage to declaring the package done,
without actually entering the fakeroot stage and running package().

So I'm curious why this is being, | don't know, aborted fatally? https://git.archlinux.org/pacman.git/tree/scripts/makepkg.sh.in?h=v5.1.3#n182

It seems to make no sense. At any rate, if makepkg has something external to it break then I'm not sure how it can recover.

For fun, I've been able to duplicate the error by adding a new directory to my $PATH, and creating a "fakeroot" binary which is a symlink to /bin/true --
it thus immediately exits successfully. Which is as | said totally insane. But makepkg cannot tell the difference between a successful fakeroot step and
a fakeroot binary which lies, and exits successfully without doing anything. So | suspect your system is broken and contains a fakeroot program which
doesn't do what it's supposed to.

and i remove all this files, further reinstall packages tzdata, fakeroot, catfish, Isof and adwaita-icon-theme

Fakeroot is on this list of packages which you said were broken. | would be curious to know what you had there instead, although if you've already
deleted the broken files and fixed your system | guess we may never find out.

#24 - 2019-09-29 02:22 AM - pisechka

I'm use only pacman and have pacman logs for this package, pacman install breaked packages.

#25 - 2019-09-29 02:25 AM - bill-auger

where do you see "Vendor: None" and "etc: None"?

what would i need to do if i wanted to see that?
https://git.archlinux.org/pacman.git/tree/scripts/makepkg.sh.in?h=v5.1.3#n182

#26 - 2019-09-29 08:58 AM - pisechka

Sorry i didn't make screenshots. If i find same packages then i will send them to you.

#27 - 2019-09-29 08:46 PM - bill-auger

- Status changed from unconfirmed to not-a-bug

- Subject changed from [makepkg] [pacman] to [makepkg] does not create package
